/**
 * Introduction
 *
 * @title ROV - Easy applications from C
 *
 * @copyright Jason Tribbeck / 7th ARM 1994-2001
 *
 * @authors Jason Tribbeck
 *
 * @file strfunc.h
 *
 * @type helper
 *
 * @description
 *
 * The strfunc helper provides string functionality
 */

#ifndef __rov_strfunc
#define __rov_strfunc


#ifdef __cplusplus
extern "C"
{
#endif

/**
 * Case insensitive form of strcmp()
 * @param str1 the first string.
 * @param str2 the second string.
 * @return negative if str1 < str2, zero if str1 = str2,
 * or positive if str1 > str2.
 */
int stricmp(char *str1,
	    char *str2);

/**
 * Like strcpy(), but stops at the first space or control code.
 * @param dst the destination.
 * @param src the source.
 * @return the location in the source where copying stopped.
 */
char *strscpy(char *dst,
	      char *src);


#ifdef __cplusplus
}
#endif

#endif
